RepCad Posted December 20, 2020 Posted December 20, 2020 Hi all, I'm using this code to add leader with two points. it's working correct, but is it possible to create leader with Text (instead of Mtext)? Manually I do it with "Explode" command, but the bottom line of text is cleaned afterwards. (setq pt1 (getpoint "\nFirst point: ") pt2 (getpoint pt1 "\nNext point: ") space (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object)) ) ) (setq pt3 (polar pt2 0.0 2)) (setq ptlist (apply 'append (list pt1 pt2))) (setq txtobj (vla-addmtext space (vlax-3d-point pt3) 10 "Checked-Send")) (setq txent (entlast)) (setq ldrobj (vlax-invoke space 'addleader ptlist txtobj acLineWithArrow) ) Quote
tombu Posted December 20, 2020 Posted December 20, 2020 You're going to need qlset.lsp by Frank Whaley at Autodesk to modify QLEADER settings. Examples can be found: https://www.cadtutor.net/forum/topic/12508-qleader-lisp/ Many more examples if you search for qlset.lsp, this lisp has been around for a while. 2 Quote
RepCad Posted December 21, 2020 Author Posted December 21, 2020 15 hours ago, tombu said: You're going to need qlset.lsp by Frank Whaley at Autodesk to modify QLEADER settings. Examples can be found: https://www.cadtutor.net/forum/topic/12508-qleader-lisp/ Many more examples if you search for qlset.lsp, this lisp has been around for a while. Thanks for replying. Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.